# Adobe changed versions for 32bit .. AGAIN !!
Epoch: 1 

Summary: Macromedia Flash Player
Name: flash-plugin
Version: 11.2.202.275
Release: 1%{dist}
License: Commercial
Group: Applications/Internet
URL: http://labs.adobe.com/downloads/flashplayer10.html
#for 64bit: http://labs.adobe.com/downloads/flashplayer10_64bit.html

Source0: install_flash_player_11_linux.i386.tar.gz
Source1: install_flash_player_11_linux.x86_64.tar.gz
Source2: flashplugin-lahf-fix.c

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes: mozilla-flash <= %{version}-%{release}
#Requires: %{_libdir}/mozilla/plugins/

# do not "strip" the binaries, makes standalone player crash
%define _enable_debug_packages 0
%define __spec_install_post /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip-comment-note %{nil}

%description
Macromedia Flash Player, Mozilla/Firefox-compatible plugin

By downloading and installing this package you agree to the LICENSE:
http://www.adobe.com/products/eulas/players/flash/

%prep

%build

#%ifarch x86_64
#gcc -fPIC -shared -nostdlib -lc -oflashplugin-lahf-fix.so %{SOURCE2}
#%endif

%install
rm -rf %{buildroot}

mkdir -pv %{buildroot}
cd %{buildroot}

mkdir org
cd org
# plugin
%ifarch x86_64
tar -xzvf %{SOURCE1}
%else
tar -xzvf %{SOURCE0}
%endif
cd -


install -d -m 755 %{buildroot}/%{_libdir}/mozilla/plugins/
install -d -m 755 %{buildroot}/%{_bindir}
install -d -m 755 %{buildroot}/usr/share/icons/hicolor/
install -d -m 755 %{buildroot}/%{_libdir}/kde4/
install -d -m 755 %{buildroot}/usr/share/pixmaps/
install -d -m 755 %{buildroot}/usr/share/kde4/services/
install -d -m 755 %{buildroot}/usr/share/applications/

install -m 755 org/usr/bin/flash-player-properties %{buildroot}/%{_bindir}/
cp -rv org/usr/share/icons/hicolor/* %{buildroot}/usr/share/icons/hicolor/
cd %{buildroot}/usr/share/pixmaps/
ln -sf ../icons/hicolor/48x48/apps/flash-player-properties.png .
cd -
#NOT on SLC5
#install -m 755 org/%{_libdir}/kde4/kcm_adobe_flash_player.so %{buildroot}/%{_libdir}/kde4/
#install -m 644 org/usr/share/kde4/services/kcm_adobe_flash_player.desktop %{buildroot}/usr/share/kde4/services/
install -m 644 org/usr/share/applications/flash-player-properties.desktop %{buildroot}/usr/share/applications/
install -m 755 org/libflashplayer.so %{buildroot}/%{_libdir}/mozilla/plugins/

rm -rf org


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libdir}/mozilla/plugins/libflashplayer.so
%{_bindir}/flash-player-properties
#{_libdir}/kde4/kcm_adobe_flash_player.so
/usr/share/applications/flash-player-properties.desktop
/usr/share/icons/*
#/usr/share/kde4/services/kcm_adobe_flash_player.desktop
/usr/share/pixmaps/flash-player-properties.png

%changelog
* Wed Mar 13 2013 Thomas Oulevey <thomas.oulevey@cern.ch>- 11.2.202.275-1
- and again.

* Wed Feb 27 2013 Thomas Oulevey <thomas.oulevey@cern.ch>- 11.2.202.273-1
- and again.

* Wed Feb 13 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.270-1
- and again.

* Thu Jan 10 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.261-1
- and again.

* Wed Nov  7 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.251-1
- security update, again.

* Tue Oct 30 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.243-2
- and .... security update.

* Thu Aug 16 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.238-1
- security update.

* Fri Jun 15 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.236-1
- and another one.

* Tue May 8 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.235-1
- anoter security update

* Mon Apr 16 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.233
- another one ...

* Thu Mar 29 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.2.202.228
- guess what ? YES ! monthly security patch !!

* Tue Mar 6 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.1.102.63
- another (monthly?) security patch ..

* Fri Oct 28 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 11.0.1.152
- update to current version

* Thu Aug 11 2011 Jan van Eldik <Jan.van.Eldik@cern.ch>
- Update to beta 2 11.0.d1.98 from Aug 8, 2011

* Fri Mar 25 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- different versions for 32 and 64 bit .. adobe keeps on making separate releases still ..

* Fri Oct  8 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.2.161.23
- update to preview 2 of 'square' player

* Fri Sep 19 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.2.161.22
- update to flash player 'square' preview version: we get 64 bit again !

* Fri Feb 19 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.45.2
- another update

* Fri Jan 22 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.42.34
- fixed build for x86_64

* Wed Dec 08 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.42.34
- Update to latest (still pre-release on x86_64)
- Added lahf fix for x86_64 build.

* Fri Sep 18 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.32.18
- Update to latest (still alpha/beta on x86_64)

* Tue Mar 31 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.22.87
- Update to version 10 (alpha/beta on x86_64)

* Wed Apr  9 2008 Jan Iven <jan.iven@cern.ch> - 9.0.124.0-1.slc4
- Update to 9.0.124:
   security fix for CVE-2007-5275, CVE-2007-6243, CVE-2007-6637, CVE-2007-6019, CVE-2007-0071, CVE-2008-1655, CVE-2008-1654

* Tue Jan 22 2008 Jan Iven <jan.iven@cern.ch> - 9.0.115.0-1.slc4
- Update to 9.0.115:
   security fix for CVE-2007-6242, CVE-2007- 4768, CVE-2007-5275, CVE-2007- 6243, CVE-2007- 6244, CVE-2007- 6245, CVE-2007-4324, CVE-2007- 6246, CVE-2007-5476
- Add standalone player
- remove flashplayer.xpt

* Thu Jul 12 2007 Jan Iven <jan.iven@cern.ch> - 9.0.48.0-1.slc4
- Update to 9.0.48.0, security fix: CVE-2007-3456,CVE-2007-3457,CVE-2007-2022

* Wed Jan 17 2007 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.0.31.0
- Updated to release version

* Wed Dec 13 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.0.21.78-beta
- Updated to BETA II Flash Player 9

* Thu Oct 19 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.0.21.55-beta
- Updated to BETA Flash Player 9

* Tue Sep 12 2006 Dag Wieers <dag@wieers.com> - 7.0.68-1
- Updated to release 7.0.68.
- Renamed package from mozilla-flash to flash-plugin.

* Wed Mar 15 2006 Dag Wieers <dag@wieers.com> - 7.0.63-1
- Updated to release 7.0.63.

* Sat Nov 26 2005 Dag Wieers <dag@wieers.com> - 7.0.61-1
- Updated to release 7.0.61.

* Sun Jun 27 2004 Dag Wieers <dag@wieers.com> - 7.0.25-1
- Initial package. (using DAR)
